Subject: Re: [RFC/PATCH] config.c: Make git_config() work correctly when called recursively

From: Ramsay Jones <[email-masked]>
Date: Thu, 16 Jun 2011 20:55:57 +0100

Jeff King wrote:
> On Tue, Jun 14, 2011 at 07:19:19PM +0100, Ramsay Jones wrote:
[...]
>> I could, of course, have simply changed the expect file so that it would pass
>> the test, but I wanted the change to be self-contained and to pass all existing
>> tests (ie. the external interface/behaviour should *not* change).
> 
> No, you did the right thing here. The information on which config file
> we're in is valuable, and taking away the globals is not worth the pain
> of making all of the callers and callbacks of git_config have to deal
> with passing around a context struct.
> 
> So the patch you posted looks good to me.

Thanks! (I will abandon the search for an alternate solution! ;-)

I think the commit message needs to be re-worded before actually submitting
the patch (it's fine for an RFC, but the call-chain info has a limited shelf
life and should go).

Also, I wanted to re-submit two additional patches in that branch; last time
they didn't even make it to pu!  Hopefully they will take at least one step
further this time.

ATB,
Ramsay Jones